package com.webucator.uibinderstyles.client;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.TextResource;
import com.webucator.uibinderstyles.client.css.BundleCss;

public interface Bundle extends ClientBundle {
	
	@Source("css/Bundle.css")
	public BundleCss bundleCss();
	
//	@Source("css/FromDefs.css")
//	public BundleCss fromDefsCss();
//	
	@Source ("text/snippet.txt")
	TextResource snippet();
	
	@Source("com/webucator/uibinderstyles/client/images/g.png")
	public ImageResource g();
	
	@Source("com/webucator/uibinderstyles/client/images/pg.png")
	public ImageResource pg();
	
	@Source("com/webucator/uibinderstyles/client/images/pg13.png")
	public ImageResource pg13();
	
	@Source("com/webucator/uibinderstyles/client/images/m.png")
	public ImageResource m();
	
	@Source("com/webucator/uibinderstyles/client/images/r.png")
	public ImageResource r();
	
	@ImageResource.ImageOptions(repeatStyle=ImageResource.RepeatStyle.Horizontal)
	@Source("com/webucator/uibinderstyles/client/images/gradient.gif")
	public ImageResource gradient();

	
}
