package com.webucator.uibinderstyles.client;

import java.util.HashMap;

import com.google.gwt.core.shared.GWT;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.uibinder.client.UiConstructor;

public class MyResource {
	
	Bundle bundle = GWT.create(Bundle.class);

	private String[] names = { "g", "m", "pg", "pg13", "r" };
	private int defaultIndex = 0;
	HashMap<String, ImageResource> images = new HashMap<String, ImageResource>();
	
	@UiConstructor
	public MyResource(int defaultIndex) {
		this.defaultIndex = defaultIndex;
		images.put("g", bundle.g());
		images.put("pg", bundle.pg());
		images.put("pg13", bundle.pg13());
		images.put("m", bundle.m());
		images.put("r", bundle.r());
	}
	
	public void setExplicitDefaultIndex(int index) {
		this.defaultIndex = index;
	}
	
	public String getName() {
		return names[defaultIndex];
	}
	
	public String getName(int index) {
		return names[index];
	}
	
	public ImageResource getImg() {
		return images.get(names[defaultIndex]);
	}
}
